| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Image
Image.Color
Image.Color.Color

# Method Image.Color.Color()->rgbf()

Method rgbf

  `array(int) rgb()`
  `array(float) rgbf()`
  `array(int) hsv()`
  `array(float) hsvf()`
  `array(float) cmyk()`
  `int greylevel()`
  `int greylevel(int r, object intg, object intb)`

Description

  This is methods of getting information from an Image.Color.Color object.

  They give an array of red, green and blue (rgb) values (color value),
  hue, saturation and value (hsv) values (range as color value),
  cyan, magenta, yellow, black (cmyk) values (in percent)
  or the greylevel value (range as color value).

  The greylevel is calculated by weighting red, green and blue. Default weights are 87, 127 and 41, respective, and could be given by argument.

Returns

  array(int) respective int

See also

  Image.Color.Color , grey